Skip to main content
GET
Retrieve an outcome request

Authorizations

Authorization
string
header
required

A secret key (dk_live_…). Scopes: conversations:read, contacts:read, contacts:write, meetings:read, analytics:read, events:read, webhooks:write, knowledge:read, knowledge:write, agent:read, agent:write, experiments:read, experiments:write, privacy:write, chat:write.

Path Parameters

id
string
required

Response

OK

id
string
required
Pattern: ^oreq_
Example:

"oreq_6f1c2a9e0b3d4e5f8a7b6c5d4e3f2a1b"

object
string
required
Allowed value: "outcome_request"
outcome
object
required
status
enum<string>
required
Available options:
open,
sent
fit
boolean | null
required

Whether the answers passed the form's fit rules. False: the visitor was not offered a meeting.

fit_reasons
string[]
required

The questions whose answers were not a fit.

answers
object[]
required
fields
object
required

The answers by key, e.g. what_do_you_need_a_quote_for. Keys come from the question text.

contact
object
required
contact_id
string | null
required
conversation
string
required
page_url
string | null
required
billing
string
required

counted, not_billable, voided or none.

submitted_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
created_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
test
boolean
required